Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 12:26:47

0001 #!/bin/bash -ex
0002 
0003 ##____________________________________________________________________________||
0004 function die { echo $1: status $2 ;  exit $2; }
0005 
0006 ##____________________________________________________________________________||
0007 
0008 # temporary: produce fastsim sample on the fly
0009 # can be removed as soon as relval samples are available with the new fastsim rechits
0010 cmsDriver.py TTbar_13TeV_TuneCUETP8M1_cfi  --conditions auto:run2_mc --fast  -n 1 --eventcontent FEVTDEBUGHLT -s GEN,SIM,RECOBEFMIX,DIGI:pdigi_valid,L1,L1Reco,RECO --beamspot NominalCollision2015 --era Run2_2016 --fileout ttbarForMetTests.root || die 'Failure running cmsDriver' $?
0011 cmsRun ${SCRAM_TEST_PATH}/recoMET_pfMet_cfg.py || die 'Failure using recoMET_pfMet_cfg.py' $?
0012 cmsRun ${SCRAM_TEST_PATH}/recoMET_caloMet_cfg.py || die 'Failure using recoMET_caloMet_cfg.py' $?
0013 cmsRun ${SCRAM_TEST_PATH}/recoMET_tcMet_cfg.py || die 'Failure using recoMET_tcMet_cfg.py' $?
0014 cmsRun ${SCRAM_TEST_PATH}/recoMET_genMet_cfg.py || die 'Failure using recoMET_genMet_cfg.py' $?
0015 cmsRun ${SCRAM_TEST_PATH}/recoMET_pfChMet_cfg.py || die 'Failure using recoMET_pfChMet_cfg.py' $?
0016 cmsRun ${SCRAM_TEST_PATH}/recoMET_pfClusterMet_cfg.py || die 'Failure using recoMET_pfClusterMet_cfg.py' $?